Bug 180546 - sysutils/tarsnap: convert header and to uses (for gmake), and use new port options
Summary: sysutils/tarsnap: convert header and to uses (for gmake), and use new port op...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-13 23:40 UTC by Jason Helfman
Modified: 2013-07-14 00:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.10 KB, patch)
2013-07-13 23:40 UTC, Jason Helfman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Helfman freebsd_committer 2013-07-13 23:40:00 UTC
convert historical header
convert USE_GMAKE to USES=gmake
convert to new options style to remove bsd.port.options.mk inclusion
Comment 1 Edwin Groothuis freebsd_committer 2013-07-13 23:40:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Jason Helfman freebsd_committer 2013-07-13 23:41:23 UTC
Responsible Changed
From-To: jgh->cperciva

change to maintainer
Comment 3 Jason Helfman freebsd_committer 2013-07-13 23:45:09 UTC
In a subsequent test after submission of the pr, I found that
SSE2_CONFIGURE_DISABLE is not necessary to define.

-jgh

--
Jason Helfman          | FreeBSD Committer
jgh@FreeBSD.org     | http://people.freebsd.org/~jgh  | The Power to Serve
Comment 4 dfilter service freebsd_committer 2013-07-13 23:50:27 UTC
Author: jgh
Date: Sat Jul 13 22:50:20 2013
New Revision: 322974
URL: http://svnweb.freebsd.org/changeset/ports/322974

Log:
  - trim historical header
  - convert USE_GMAKE to USES framework
  - convert old-style options and drop inclusion of bsd.port.options.mk
  
  PR:		180546
  Approved by:	cperciva@ (maintainer)

Modified:
  head/sysutils/tarsnap/Makefile

Modified: head/sysutils/tarsnap/Makefile
==============================================================================
--- head/sysutils/tarsnap/Makefile	Sat Jul 13 22:11:35 2013	(r322973)
+++ head/sysutils/tarsnap/Makefile	Sat Jul 13 22:50:20 2013	(r322974)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:		Tarsnap backup client
-# Date created:					2009-07-04
-# Whom:						Colin Percival
-#
+# Created by: Colin Percival
 # $FreeBSD$
-#
 
 PORTNAME=	tarsnap
 PORTVERSION=	1.0.34
@@ -18,7 +14,7 @@ COMMENT=	Online encrypted backup service
 RESTRICTED=	license restricts redistribution of source and binaries
 
 GNU_CONFIGURE=	yes
-USE_GMAKE=	yes
+USES=		gmake
 
 MAN1=		tarsnap.1 tarsnap-keygen.1 tarsnap-keymgmt.1	\
 		tarsnap-keyregen.1 tarsnap-recrypt.1
@@ -27,14 +23,8 @@ MAN5=		tarsnap.conf.5
 OPTIONS_DEFINE=	SSE2
 SSE2_DESC=	Use SSE2-optimized code
 
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MSSE2}
-CONFIGURE_ARGS+=	--enable-sse2
-CFLAGS+=		-msse2
-.else
-CONFIGURE_ARGS+=	--disable-sse2
-.endif
+SSE2_CONFIGURE_ENABLE=	sse2
+SSE2_CFLAGS=	-msse2
 
 post-install:
 	@if [ ! -f ${PREFIX}/etc/tarsnap.conf ]; then \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Jason Helfman freebsd_committer 2013-07-13 23:52:20 UTC
State Changed
From-To: open->closed

maintainer appoved and committed! 


Comment 6 Jason Helfman freebsd_committer 2013-07-13 23:52:20 UTC
Responsible Changed
From-To: cperciva->jgh

maintainer appoved and committed!